import { Service } from '@/Service/Service';
/*****登录接口*****/
class studentService {
	private static GetStudentListPath : string = '/api/Student/GetStudentList';
	/*****学生列表不分页接口*****/
	static GetStudentList(planId:string) {
		var result = Service.Request(this.GetStudentListPath, "GET", { planId });
		return result;
	}
	
	private static GetStudentInfoPath : string = '/api/Student/GetStudentInfo';
	/*****学生详情接口*****/
	static GetStudentInfo(studentId : string) {
		var result = Service.Request(this.GetStudentInfoPath, "GET", { studentId });
		return result;
	}
	
	private static AddPath : string = '/api/Student/Add';
	/*****添加学生接口*****/
	static Add(data:any) {
		var result = Service.Request(this.AddPath, "POST", data);
		return result;
	}
	
	
	private static DeletePath : string = '/api/Student/Delete';
	/*****删除学生接口*****/
	static Delete(studentId:string) {
		var result = Service.Request(this.DeletePath, "POST", {studentId });
		return result;
	}
	
	
	private static GetStudentListPagePath : string = '/api/Student/GetStudentListPage';
	/*****学生列表分页接口*****/
	static GetStudentListPage(page : string) {
		var result = Service.Request(this.GetStudentListPagePath, "GET", { page });
		return result;
	}
	
	
	
}
export {
	Service,
	studentService
}